Bug 198784 - cdrecord does not honor speed= command line argument
cdrecord does not honor speed= command line argument
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: cdrtools (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 11:10 EDT by Mike Gahagan
Modified: 2009-02-02 04:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-02 04:09:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2006-07-13 11:10:14 EDT
Description of problem:
cdrecord does not honor speed= command line argument

Version-Release number of selected component (if applicable):
cdrecord-2.01.1-5

How reproducible:
always

Steps to Reproduce:
1.Try to burn a CD adding speed= to the commandline
2.cdrecord burns at whatever speed it thinks it should by reading the media.
3.burns fail due to power calibration errors, likely due to speed exceeding the
actual capabilities of the drive and/or media.
  
Actual results:

burning CD's fail due to power calibration errors, likely due to speed exceeding
the actual capabilities of the drive and/or media.
Expected results:

cdrecord obeys speed=argument using either the speed specified or a lower speed
(due to driver/media capabilities)

Additional info:

found in attempting to blank/burn CD-RW media, similar problems likely also
exist for CD-R's.
Comment 1 Mike Gahagan 2006-07-13 11:17:01 EDT
sample command output. (I have tried this on two different machines with
different drives & media and I get either 4 or 24x (depending on the media)
regardless of what speed= arguement I use.

[root@belenus ~]# cdrecord -v dev=ATA:1,0,0 speed=0 blank=fast
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in this version.
TOC Type: 1 = CD-ROM
scsidev: 'ATA:1,0,0'
devname: 'ATA'
scsibus: 1 target: 0 lun: 0
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version (schily - Red
Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       1.83 04/05/20 Copyright
1997 J. Schilling').
SCSI buffer size: 64512
atapi: -1
Device type    : Removable CD-ROM
Version        : 0
Response Format: 2
Capabilities   :
Vendor_info    : 'MATSHITA'
Identifikation : 'UJDA745 DVD/CDRW'
Revision       : '1.01'
Device seems to be: Generic mmc2 DVD-ROM.
Current: 0x000A
Profile: 0x0012
Profile: 0x0010
Profile: 0x000A (current)
Profile: 0x0009
Profile: 0x0008
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
Driver flags   : MMC-3 SWABAUDIO BURNFREE
Supported modes: TAO PACKET SAO SAO/R96P SAO/R96R RAW/R96R
Drive buf size : 1433600 = 1400 KB
Current Secsize: 2048
ATIP info from disk:
  Indicated writing power: 5
  Reference speed: 2
  Is not unrestricted
  Is erasable
  ATIP start of lead in:  -11745 (97:25/30)
  ATIP start of lead out: 359849 (79:59/74)
  1T speed low:  0 (reserved val  0) 1T speed high:  4
  2T speed low:  0 (reserved val  5) 2T speed high:  0 (reserved val 12)
  power mult factor: 4 6
  recommended erase/write power: 3
  A1 values: 02 4C B0
  A2 values: 5C D8 36
Disk type:    Phase change
Manuf. index: 40
Manufacturer: INFODISC Technology Co., Ltd.
Speed set to 706 KB/s
Starting to write CD/DVD at speed   4.0 in real BLANK mode for single session.
Last chance to quit, starting real write    0 seconds. Operation starts.
Performing OPC...
Blanking PMA, TOC, pregap
Blanking time:   46.705s
[root@belenus ~]# rpm -q cdrecord
cdrecord-2.01.1-5
Comment 6 Harald Hoyer 2009-01-23 12:13:54 EST
you cannot control the speed for blanking a CD-RW... is this a real problem for writing?
Comment 8 Phil Knirsch 2009-02-02 04:09:06 EST
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to pursue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.